<!-- Copyright (C) 2017-2020 Linagora

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<div class="sidebar">
  <div fxFlex fxLayout="column" class="sidebar-wrapper">
    <div fxLayout="column" fxLayoutAlign="start center" class="sidebar-top">
      <button mat-button disabled class="btn-logo" >
        <mat-icon svgIcon="petals" class="icon-petals icon-x5"></mat-icon>
      </button>
      <button
        *ngIf="workspaceId && tree.length"
        mat-button
        matTooltip="Topology"
        matTooltipPosition="right"
        routerLinkActive="active"
        [routerLink]="['/workspaces', workspaceId, 'petals']"
        class="btn-topology"
        >
        <fa-icon icon="network-wired" class="icon-topology icon-x2"></fa-icon>
      </button>
      <button
        *ngIf="workspaceId && tree.length"
        mat-button
        matTooltip="Services"
        matTooltipPosition="right"
        routerLinkActive="active"
        [routerLink]="['/workspaces', workspaceId, 'services']"
        class="btn-services"
        >
        <fa-icon icon="cogs" class="icon-services icon-x2"></fa-icon>
      </button>
    </div>
    
    <div fxFlex fxLayout="column" fxLayoutAlign="end center" class="sidebar-bottom">
      <button
        *ngIf="user.isAdmin"
        mat-button
        matTooltip="Administration"
        matTooltipPosition="right"
        routerLinkActive="active"
        [routerLink]="['/admin']"
        class="btn-user-admin"
      >
        <fa-icon icon="cog" class="icon-administration icon-x2"></fa-icon>
      </button>
      
      <button
        mat-button
        matTooltipPosition="right"
        matTooltipClass="current-user-tooltip"
        routerLinkActive="active"
        [matTooltip]="user.name"
        [routerLink]="['/profile']"
        class="btn-user-profile"
      >
        <fa-icon icon="user-circle" class="icon-user-circle icon-x2"></fa-icon>
      </button>

      <button
        mat-icon-button
        matTooltip="Disconnect"
        matTooltipPosition="right"
        [disabled]="isDisconnecting"
        (click)="disconnect()"
        class="btn-user-logout"
      >
        <fa-icon class="icon-signout icon-x2" icon="sign-out-alt"></fa-icon>
      </button>
    </div>
  </div>
</div>